View Issue Details

IDProjectCategoryView StatusLast Update
0002408SymmetricDSBugpublic2015-10-29 06:03
ReportertbergerAssigned Tochenson 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.24 
Target Version3.7.25Fixed in Version3.7.25 
Summary0002408: Error while starting sym with Java 7
DescriptionException in thread "main" java.lang.UnsupportedClassVersionError: org/eclipse/jetty/security/Authenticator : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
        at org.jumpmind.symmetric.SymmetricLauncher.executeWithOptions(SymmetricLauncher.java:121)
        at org.jumpmind.symmetric.AbstractCommandLauncher.execute(AbstractCommandLauncher.java:190)
        at org.jumpmind.symmetric.SymmetricLauncher.main(SymmetricLauncher.java:74)
Steps To ReproduceTried to run the sym binary on a Debian system with Java 7 installed.

Output of java -version:
java version "1.7.0_79"
OpenJDK Runtime Environment (IcedTea 2.5.6) (7u79-2.5.6-1~deb7u1)
OpenJDK 64-Bit Server VM (build 24.79-b02, mixed mode)
Additional InformationProblem does occur for SymmetricDS versions 3.7.22 to 3.7.24, but not for 3.7.21. Probably similar to http://www.symmetricds.org/issues/view.php?id=1463.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 4bc0d52b

2015-10-13 15:10:45

chenson

Details Diff
0002408: Error while starting sym with Java 7
0002408
mod - symmetric-assemble/common.gradle Diff File

Issue History

Date Modified Username Field Change
2015-10-13 11:56 tberger New Issue
2015-10-13 12:15 chenson Target Version => 3.7.25
2015-10-13 12:15 chenson Assigned To => chenson
2015-10-13 12:15 chenson Status new => assigned
2015-10-13 16:00 chenson Changeset attached => SymmetricDS 3.7 4bc0d52b
2015-10-13 16:15 chenson Status assigned => resolved
2015-10-13 16:15 chenson Fixed in Version => 3.7.25
2015-10-13 16:15 chenson Resolution open => fixed
2015-10-22 08:27 chenson Status resolved => closed